Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrintAuxiliary.cs	(revision 51)
@@ -59,6 +59,9 @@
         /// </summary>
         private void SetDisplayObject()
         {
+            int DspCtrlCnt = Enum.GetNames(typeof(DspLblCtrlName)).Length;
+            m_DspLabelCtrl = new Control[DspCtrlCnt];
+
             // ヘッダー情報
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;
@@ -107,46 +110,54 @@
         private void DispHeader()
         {
             IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            IOMConstructionType ctypeDB = new IOMConstructionType();
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             try
             {
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionBaseInfo.ConstructionCode, "-", 8);       // 工事コード
+                string strConstrCode = CommonMotions.cnvStringCodeFromInt(m_ConstructionBaseInfo.ConstructionCode, "-", 8);       // 工事コード
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = strConstrCode;
 
                 // 工事基本情報明細取得
-                string strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
-                if (!cbidDB.SelectAction(strSQL, ref workRec)) return;
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                                      // 工事名称
-                strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2})",
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                   // 工事場所１
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                   // 工事場所２
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                  // 工事場所３
-                strSQL += " Order By DetailNo";
-                List<ConstructionBaseInfoDetail> workList = new List<ConstructionBaseInfoDetail>();
-                cbidDB.SelectAction(strSQL, ref workList);
-                string Place = string.Empty;
-                foreach (ConstructionBaseInfoDetail wrkRec in workList)
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILNO, B.DETAILSTRING, C.PERSONCODE, C.PERSONNAME, D.TYPECODE, D.NAMESTRING";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B";
+                strSQL += " ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND (B.DETAILNO = {0} OR B.DETAILNO = {1} OR B.DETAILNO = {2} OR B.DETAILNO = {3})",
+                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName,                          // 工事名称
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                    // 工事場所１
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                    // 工事場所２
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                   // 工事場所３
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN CONSTRUCTIONTYPEMASTER D ON D.TYPECODE = A.CONSTRUCTIONTYPE";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY B.DETAILNO ASC";
+
+                ArrayList workList = new ArrayList();
+                if (!cbidDB.ExecuteReader(strSQL, ref workList)) return;
+                string ConstrName = string.Empty;
+                string ConstrPlace = string.Empty;
+                string CreatorName = string.Empty;
+                string ConstructionType = string.Empty;
+                foreach (object[] wrkRec in workList)
                 {
-                    Place += wrkRec.DetailString;
+                    switch (CommonMotions.cnvInt(wrkRec[1]))
+                    {
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName:
+                            ConstrName = CommonMotions.cnvString(wrkRec[2]);
+                            break;
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1:
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2:
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3:
+                            ConstrPlace += CommonMotions.cnvString(wrkRec[2]);
+                            break;
+                    }
+                    CreatorName = CommonMotions.cnvString(wrkRec[4]);
+                    ConstructionType = CommonMotions.cnvString(wrkRec[6]);
                 }
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;                                                                                    // 工事場所
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = ConstrName;                    // 工事名称
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = ConstrPlace;                  // 工事場所
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = CreatorName;                 // 工事担当者取得
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ConstructionType;       // 工事種別マスタ取得
 
-                // 工事担当者取得
-                strSQL = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
-                PersonInChargeMaster personRec = new PersonInChargeMaster();
-                picDB.SelectAction(strSQL, ref personRec);
-
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                                    // 工事担当者
-
-                // 工事種別マスタ取得
-                strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
-                ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
-                ctypeDB.SelectAction(strSQL, ref ctypeRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;                                                                // 工事種別
-
                 DateTime StDate = m_ConstructionBaseInfo.ConstructionPeriodStart;
                 DateTime EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd;
                 if (StDate != DateTime.MinValue && EdDate != DateTime.MinValue)
@@ -182,8 +193,6 @@
             finally
             {
                 cbidDB.close(); cbidDB = null;
-                picDB.close(); picDB = null;
-                ctypeDB.close(); ctypeDB = null;
                 OrderDB.close();OrderDB=null;
             }
         }
@@ -197,22 +206,30 @@
         private bool SetPurchaseOrderData()
         {
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
-            IOMSubContractor SubConDB=new IOMSubContractor();
+            IOMSubContractor SubConDB = new IOMSubContractor();
             try
             {
                 // 注文書データ読込
-                string strSQL = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += " ORDER BY SEQNO";
-                List<PurchaseOrder> OrderList = new List<PurchaseOrder>();
-                if (!OrderDB.SelectAction(strSQL, ref OrderList)) return false;
-                if (OrderList.Count == 0) return false;
-                
-                // 印刷日付を取得する
-                lblNoLook.Text = OrderList[0].PrintoutDate.ToShortDateString();
-                
+                string strSQL = "SELECT A.* FROM PURCHASEORDER A, PROCESSAPPROVALDETAIL B, PROCESSAPPROVAL C";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
+                strSQL += string.Format(" AND B.ORDERNO = {0}", m_OrderNo);
+                strSQL += " AND B.LINKCODE = A.SEQNO";
+                strSQL += " AND C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND C.APPROVALCODE = B.APPROVALCODE AND C.ORDERNO = B.ORDERNO AND C.SEQNO = 1";
+                strSQL += string.Format(" AND C.APPROVALSTATUS = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " ORDER BY A.SEQNO";
+
+                ArrayList arList = new ArrayList();
+                if (!OrderDB.ExecuteReader(strSQL, ref arList)) return false;
+                if (arList.Count == 0) return false;
+
                 int icnt = 1;
-                foreach (PurchaseOrder OrderRec in OrderList)
+                PurchaseOrder OrderRec = new PurchaseOrder();
+                foreach (object[] objRec in arList)
                 {
+                    OrderDB.Reader2Struct(objRec, ref OrderRec);
+
                     // 協力会社検索
                     string SubSQL = SubConDB.CreatePrimarykeyString(OrderRec.CompanyCode);
                     SubContractorMaster SubConRec = new SubContractorMaster();
@@ -243,10 +260,14 @@
                                             OrderRec.SeqNo,
                                             string.Format("{0}-{1}", OrderRec.ConstructionCode, OrderRec.SeqNo.ToString("000")),    // 発注番号セット
                                             SubConRec.CompanyName,                                                                  // 発注先会社名
+                                            OrderRec.CreateDate.ToShortDateString(),                                              // 注文書作成日
                                             OrderRec.OrderPrice.ToString("#,0"),                                                    // 発注金額
                                             PurchaseString,                                                                         // 支払条件
                                             true);
                     icnt++;
+
+                    // 印刷日付を取得する
+                    //lblNoLook.Text = OrderRec.PrintoutDate.ToShortDateString();
                 }
 
                 return true;
@@ -307,12 +328,26 @@
                 {
                     bRet = true;
                 }
-                // システム管理者・最高機密管理者は全てのデータにデータアクセス出来る
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    bRet = true;
+                    // システム管理者・最高機密管理者は全てのデータにデータアクセス出来る
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                    CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                    {
+                        bRet = true;
+                    }
                 }
+                else
+                {
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 特別権限
+                    // システム管理者・最高機密管理者は全てのデータにデータアクセス出来る
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
+                    {
+                        bRet = true;
+                    }
+                }
 
                 return bRet;
             }
@@ -358,14 +393,31 @@
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             try
             {
-                string strWhere = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
-                List<PurchaseOrder> OrderList = new List<PurchaseOrder>();
-                if (!OrderDB.SelectAction(strWhere, ref OrderList)) return false;
+                //string strWhere = OrderDB.CreatePrimarykeyString(m_ConstructionCode);
+                //List<PurchaseOrder> OrderList = new List<PurchaseOrder>();
+                //if (!OrderDB.SelectAction(strWhere, ref OrderList)) return false;
 
-                string strSQL = string.Format("UPDATE PurchaseOrder SET PrintoutDate = DATE_FORMAT('{0}','%Y/%m/%d')", CreateDate.ToShortDateString());
-                strSQL += string.Format(" {0}", strWhere);
-                if (!OrderDB.ExecuteNonQuery(strSQL)) return false;
+                //string strSQL = string.Format("UPDATE PurchaseOrder SET PrintoutDate = TO_DATE('{0}','YYYY/MM/DD')", CreateDate.ToShortDateString());
+                //strSQL += string.Format(" {0}", strWhere);
+                //if (!OrderDB.ExecuteNonQuery(strSQL)) return false;
 
+                OrderDB.connect(); OrderDB.beginTran();
+                int GridSeqNo = 0;
+                foreach(DataGridViewRow GridCurRow in dgvAllDisplay.Rows)
+                {
+                    // 選択無は対象外
+                    if (CommonMotions.chkCellBlank(GridCurRow.Cells[(int)GridColumn.PrintExec].Value)) continue;
+                    if (!(bool)GridCurRow.Cells[(int)GridColumn.PrintExec].Value) continue;
+                    // 枝番取得
+                    GridSeqNo=CommonMotions.cnvInt(GridCurRow.Cells[(int)GridColumn.SeqNo].Value);
+                    // 印刷日セット
+                    if (!OrderDB.UpdateFeild(m_ConstructionCode,(int)IOPurchaseOrder.TableColumn.PrintoutDate, CreateDate, false, GridSeqNo))
+                    {
+                        OrderDB.rollback();
+                        return false;
+                    }
+                }
+
                 return true;
             }
             catch (System.Exception ex)
@@ -375,9 +427,152 @@
             }
             finally
             {
+                OrderDB.commit();
                 OrderDB.close(); OrderDB = null;
             }
         }
         #endregion
+
+        #region 印刷処理
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        private void PrintProcess()
+        {
+            FrmSaveFilePath frm = new FrmSaveFilePath();
+            FrmStatusAndDate frmStatus = new FrmStatusAndDate();
+            try
+            {
+                // 工事番号のセット
+                frmStatus.ConstructionCode = m_ConstructionCode;
+
+                // 印刷対象取得
+                GetDispToPrintTarget();
+
+                // 変更進捗状態
+                int iProgressCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key;
+                frmStatus.ProgressStatus = iProgressCode;
+
+                // 消費税は使用しない
+                frmStatus.TaxDisplayFlg = false;
+                // 印刷処理番号セット
+                frmStatus.ExecuteProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+
+                // 作成日付のセット
+                DateTime CreateDate = CommonMotions.cnvDate(lblNoLook.Text);
+                if (CreateDate == DateTime.MinValue)
+                {
+                    frmStatus.ExcuteDate = DateTime.Now;
+                }
+                else
+                {
+                    frmStatus.ExcuteDate = CreateDate;
+                }
+
+                // ウィンドウ表示
+                //frmStatus.ShowInTaskbar = false;
+                frmStatus.ShowDialog();
+
+                // 終了状態
+                m_PrintresRet = frmStatus.EndButton;
+
+                // 日付印刷フラグ
+                m_PrintDate = frmStatus.DatePrintFlg;
+
+                // 作成日付の更新
+                if (frmStatus.ExcuteDate != CreateDate)
+                {
+                    if (!PurchaseOrderUpdate(frmStatus.ExcuteDate)) return;
+                    m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = frmStatus.ExcuteDate.ToShortDateString();
+                }
+
+                // キャンセルは処理しない
+                if (m_PrintresRet == DialogResult.Cancel) return;
+
+                bool bSimplePrint = true;
+                if (!m_DspLabelCtrl[(int)DspLblCtrlName.OrderSheetType].Text.Equals(s_OrderSheetTypeString[0])) bSimplePrint = false;
+
+                // EXCEL保存時選択
+                if (m_PrintresRet == DialogResult.No)
+                {
+                    // 保存先を選択する
+                    if (bSimplePrint) frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
+                    else frm.SaveType = (int)CommonDefine.SaveFileType.WordFile;
+
+                    //frm.ShowInTaskbar = false;
+
+                    frm.ShowDialog();
+                    if (frm.EndButton == DialogResult.Cancel) return;
+                    m_SelectSaveExcel = frm.SelectPath;
+                    m_SelectSaveWord = frm.SelectPath;
+                }
+
+
+                // 印刷プロセス数取得
+                m_ProcessCount = GetProcessCount() + 2;       // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
+                PrintProgress.Visible = true;
+                groupBox2.Update();
+                PrintProgress.Minimum = 0;
+                PrintProgress.Maximum = m_ProcessCount;
+                PrintProgress.Value = 0;
+
+                m_Canceled = false;
+                // ボタンの変更
+                PrintButtonVisbleControl(true);
+
+                //印刷を別スレッドで実行する
+                m_ProgressCount = 0;
+                if (bSimplePrint)
+                {   // 簡易版
+                    workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(SimplePrintMain));
+                }
+                else
+                {
+                    // 印刷クラス
+                    m_UsedWord = new UsedWord();
+                    // 正規版
+                    workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(RegularPrintMain));
+                }
+                workerThread.IsBackground = true;
+                workerThread.Start();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Close(); frm = null;
+                frmStatus.Close(); frmStatus = null;
+            }
+        }
+        #endregion
+
+        #region 印刷対象コード取得
+        /// <summary>
+        /// 印刷対象コード取得
+        /// </summary>
+        private void GetDispToPrintTarget()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                m_PrintList.Clear();
+
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    // Offは処理しない
+                    if (CurRow.Cells[(int)GridColumn.PrintExec].Value == null) continue;
+                    if (!(bool)CurRow.Cells[(int)GridColumn.PrintExec].Value) continue;
+
+                    m_PrintList.Add(CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.SeqNo].Value));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintCommon.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintCommon.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintCommon.cs	(revision 51)
@@ -169,6 +169,11 @@
         /// 終了コード
         /// </summary>
         private CommonDefine.RetunAnswer m_rtAns = CommonDefine.RetunAnswer.Answer0;
+
+        /// <summary>
+        /// 印刷対象リスト
+        /// </summary>
+        private List<int> m_PrintList = new List<int>();
         #endregion
 
         #region プログレスバーの値を変更する
@@ -266,5 +271,34 @@
         }
         #endregion
 
+        #region 印刷対象のチェック
+        /// <summary>
+        /// 印刷対象のチェック
+        /// </summary>
+        /// <param name="TargetCode"></param>
+        /// <returns></returns>
+        private bool PrintTargetCheck(int TargetCode)
+        {
+            try
+            {
+                bool bRet = false;
+                foreach (int CurCode in m_PrintList)
+                {
+                    if (TargetCode == CurCode)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintFormat1.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintFormat1.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/PrintFormat1.cs	(revision 51)
@@ -133,34 +133,6 @@
         }
         #endregion
 
-        #region 今の年号を取得する
-        /// <summary>
-        /// 今の年号を取得する
-        /// </summary>
-        /// <returns></returns>
-        private string GetNameOfAnEra()
-        {
-            try
-            {
-                string strRet = string.Empty;
-
-                CultureInfo culture = new CultureInfo("ja-JP", true);
-                culture.DateTimeFormat.Calendar = new JapaneseCalendar();
-
-                string result = DateTime.Now.ToString("ggyy年M月d日", culture);
-
-                strRet = result.Substring(0, 2);
-
-                return strRet;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
-            }
-        }
-        #endregion
-
         #region 表紙印鑑表示
         /// <summary>
         ///  表紙印鑑表示
@@ -171,16 +143,15 @@
             IOProcessApproval paDB = new IOProcessApproval();
             try
             {
-                // 承認データ読込
-                string strSQLSeal = paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
-                strSQLSeal += " AND SEQNO != 1 Order By SeqNo Asc";
-                List<ProcessApproval> paList = new List<ProcessApproval>();
-                if (!paDB.SelectAction(strSQLSeal, ref paList)) return;
-
                 // 印刷テーブル作成
                 int[] PorsonTable = new int[4] { 0, 0, 0, 0 };
+                List<string> TitleTable = new List<string>();
                 List<string> NameTable = new List<string>();
-                for (int i = 0; i < PorsonTable.Length; i++) NameTable.Add("");
+                for (int i = 0; i < PorsonTable.Length; i++)
+                {
+                    TitleTable.Add("");
+                    NameTable.Add("");
+                }
 
                 // 担当者をセットする                
                 PorsonTable[3] = ChargePersonCode;
@@ -189,48 +160,39 @@
                 picDB.SelectAction(strSales, ref SalesRec);
                 NameTable[3] = SalesRec.SealPrintName;
 
+                // 承認データ読込
+                //string strSQLSeal = paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
+                //strSQLSeal += " AND SEQNO != 1 Order By SeqNo Asc";
+                //List<ProcessApproval> paList = new List<ProcessApproval>();
+                //if (!paDB.SelectAction(strSQLSeal, ref paList)) return;
+
+                string strSQLSeal = "SELECT * FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
+                strSQLSeal += string.Format(" Where A.ConstructionCode = {0}", ConstructionCode.ToString());
+                strSQLSeal += string.Format(" And A.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
+                strSQLSeal += string.Format(" AND A.ORDERNO = {0}", m_OrderNo);
+                strSQLSeal += " AND A.SEQNO != 1";
+                strSQLSeal += " AND B.PERSONCODE = A.PERSONCODE";
+                strSQLSeal += " AND C.SECCODE = B.SECCODE";
+                strSQLSeal += " Order By C.SECRANK ASC, B.DISPLAYORDER ASC";
+
+                ArrayList arList = new ArrayList();
+                if (!paDB.ExecuteReader(strSQLSeal, ref arList)) return;
+
+                int ProcAppCnt = Enum.GetNames(typeof(IOProcessApproval.ColumnName)).Length;
                 // 承認データより担当者その他を取得する
-                foreach (ProcessApproval readRec in paList)
+                int PrintCnt = 0;
+                foreach (object[] curRec in arList)
                 {
+                    // 枠のセットは３つまで
+                    if (PrintCnt > 2) break;
 
-                    PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                    string strSQL = picDB.CreatePrimarykeyString(readRec.PersonCode);
-                    if (!picDB.SelectAction(strSQL, ref PersonRec)) continue;
-                    // 社長かどうかを調べる
-                    if (PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                    {
-                        // コードと名前を取得する
-                        PorsonTable[0] = readRec.PersonCode;
-                        NameTable[0] = PersonRec.SealPrintName;
-                    }
-                    // 専務かどうかを調べる
-                    else if (PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                    {
-                        // ちょっとズルをする(専務のコードを直書き)
-                        if (readRec.PersonCode != 20010103) continue;
-                        if (PorsonTable[1] == 0)
-                        {
-                            // コードと名前と役職を取得する
-                            PorsonTable[1] = readRec.PersonCode;
-                            NameTable[1] = PersonRec.SealPrintName;
-                        }
-                    }
-                    // 所属長かどうかを調べる
-                    else if (PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                    {
-                        if (PorsonTable[2] == 0)
-                        {
-                            // コードと名前と役職を取得する
-                            PorsonTable[2] = readRec.PersonCode;
-                            NameTable[2] = PersonRec.SealPrintName;
-                        }
-                    }
-                    else 
-                    {   // 担当者
-                        // コードと名前を取得する
-                        PorsonTable[3] = readRec.PersonCode;
-                        NameTable[3] = PersonRec.SealPrintName;
-                    }
+                    ProcessApproval parec = new ProcessApproval();
+                    paDB.Reader2Struct(curRec, ref parec);
+                    PorsonTable[PrintCnt] = parec.PersonCode;
+                    NameTable[PrintCnt] = CommonMotions.cnvString(curRec[ProcAppCnt + (int)IOMPersonInCharge.ColumnCnt.SealPrintName]);
+                    TitleTable[PrintCnt] = CommonMotions.cnvString(curRec[ProcAppCnt + (int)IOMPersonInCharge.ColumnCnt.DisplayString]);
+
+                    PrintCnt++;
                 }
                 // テーブル内に同じコードが無いか後から調べる
                 for (int i = PorsonTable.Length - 1; i >= 0; i--)
@@ -253,7 +215,8 @@
                 shapedef.ShapeWidth = s_ShapeSize[0, 0];        // 図形描画サイズ Width
                 shapedef.ShapeHeight = s_ShapeSize[0, 1];       // 図形描画サイズ Height
 
-                for (int i = 0; i < 4; i++)
+                int PrintPos = 9;   // Jは9
+                for (int i = 0; i < 4; i++, PrintPos += 2)
                 {
                     if (PorsonTable[i] == 0) continue;
 
@@ -265,6 +228,10 @@
                     shapedef.FontSize = s_EstimateSeal1FontSize[ifontSize];     // フォントサイズ
                     // 図形描画
                     m_UsedExcel.ExcelCopyShape(shapedef);
+
+                    // タイトル印字
+                    string strChar = CommonMotions.cnvNumberToAlphaCharacter(PrintPos);
+                    if (TitleTable[i].Length != 0) m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, 14), TitleTable[i]);
                 }
             }
             catch (Exception ex)
@@ -307,6 +274,9 @@
                 string strPageName = string.Empty;
                 foreach (PurchaseOrder OrderRec in OrderList)
                 {
+                    // 印刷対象チェック
+                    if (!PrintTargetCheck(OrderRec.SeqNo)) continue;
+
                     // 協力会社名取得
                     strSQL = ContractorDB.CreatePrimarykeyString(OrderRec.CompanyCode);
                     SubContractorMaster ContractorRec = new SubContractorMaster();
@@ -565,7 +535,7 @@
                 if (m_PrintDate)                                                                                                                // 作成日付
                     m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", (21 + startLine)), OrderRec.CreateDate.ToShortDateString());
                 else
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", (21 + startLine)), GetNameOfAnEra() + "   年   月   日");
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", (21 + startLine)), CommonMotions.GetNameOfAnEra(DateTime.Now) + "   年   月   日");
 
                 m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (22 + startLine)), PlaceString);                                     // 施工及び納入場所
                 m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (23 + startLine)), m_ConstructionCode.ToString());                   // 工事番号
